| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
event.php File Reference

## Functions
| format_event_html ($ev)
| ical_wrapper ($ev)
| format_event_ical ($ev)
| format_ical_text ($s)
| format_event_bbcode ($ev)
| bbtovcal ($s)
| bbtoevent ($s)
| sort_by_date ($arr)
| ev_compare ($a, $b)
| event_store_event ($arr)
| event_addtocal ($item_id, $uid)
| event_store_item ($arr, $event)

## Function Documentation

bbtoevent | ( |  | $s | ) |

Referenced by bbcode(), bbtovcal(), and event_addtocal().

bbtovcal | ( |  | $s | ) |

ev_compare | ( |  | $a,
|  |  | $b
| ) |  |

event_addtocal | ( |  | $item_id,
|  |  | $uid
| ) |  |

Referenced by events_content().

event_store_event | ( |  | $arr | ) |

Referenced by event_addtocal(), events_post(), and update_birthdays().

event_store_item | ( |  | $arr,
|  |  | $event
| ) |  |

Referenced by events_post(), and update_birthdays().

format_event_bbcode | ( |  | $ev | ) |

Referenced by event_store_item().

format_event_html | ( |  | $ev | ) |

Referenced by bbcode(), bbtovcal(), and events_content().

format_event_ical | ( |  | $ev | ) |

Referenced by ical_wrapper().

format_ical_text | ( |  | $s | ) |

Referenced by format_event_ical().

ical_wrapper | ( |  | $ev | ) |

Referenced by events_content().

sort_by_date | ( |  | $arr | ) |

Referenced by events_content().